org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._TableCol

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child
  All Known Subinterfaces:
    HamletSpec._Table, HamletSpec.COLGROUP, HamletSpec.TABLE
  All Known Implementing Classes:
    Hamlet.COLGROUP, Hamlet.TABLE
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._TableCol
      extends HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.COL` | `col()` Add a COL element.
    `HamletSpec._TableCol` | `col(String selector)` Add a COL element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### col

          HamletSpec.COL col()

      Add a COL element.
      Returns:
        a new COL element builder

    - #### col

          HamletSpec._TableCol col(String selector)

      Add a COL element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.